Subject: [Netconf] 答复: Netconf Digest, Vol 83, Issue 8

From: [email-masked]
Date: Tue, 6 Jan 2015 11:55:13 +0800

To my understanding, using these two words at the same context will be 
confusing. Or you provide a precise definition to clarify them.

thanks.

CHEN Qiaogang 
陈俏钢
Network Management System Department 
网管平台系统部
Wireline Acadamy 
有线院

Product R&D System 
产品研发体系
R&D Building 3, ZTE Industrial Park 
Liuxian Road, Xili, Nanshan District, Shenzhen, P.R.China
深圳南山西丽留仙大道中兴通讯工业园研发3号楼网管系统部
Post:518055
Tel:+86-755-26773711
Fax:+86-755-26773583
Email:[email-masked] 

[email-masked] 
发件人:  "Netconf" <[email-masked]>
2015-01-06 04:01
请答复 给
[email-masked]

收件人
[email-masked], 
抄送

主题
Netconf Digest, Vol 83, Issue 8

Send Netconf mailing list submissions to
                 [email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
                 https://www.ietf.org/mailman/listinfo/netconf
or, via email, send a message with subject or body 'help' to
                 [email-masked]

You can reach the person managing the list at
                 [email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of Netconf digest..."

Today's Topics:

   1. netconf call home term 'tcp session' (Juergen Schoenwaelder)
   2. Re: netconf call home term 'tcp session' (Kent Watsen)

----------------------------------------------------------------------

Message: 1
Date: Mon, 5 Jan 2015 18:14:08 +0100
From: Juergen Schoenwaelder <[email-masked]>
To: [email-masked]
Subject: [Netconf] netconf call home term 'tcp session'
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=us-ascii

Hi,

looking at draft-ietf-netconf-call-home-02.txt section 2.1, I see this:

   o  The TCP connection is accepted and a TCP session is established.

Similar in 3.1, I see this:

   o  The NETCONF/RESTCONF client accepts an incoming TCP connection and
      a TCP session is established.

I am not sure what this "TCP session" is - I think RFC 793 never talks
about a session. Why can we not simply talk about the TCP connection,
thereby eliminating this TCP session term / step?

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

------------------------------

Message: 2
Date: Mon, 5 Jan 2015 19:39:48 +0000
From: Kent Watsen <[email-masked]>
To: Juergen Schoenwaelder <[email-masked]>,
                 "[email-masked]" <[email-masked]>
Subject: Re: [Netconf] netconf call home term 'tcp session'
Message-ID: <[email-masked]>
Content-Type: text/plain; charset="us-ascii"

True, RFC 793 does not use the term "tcp session", but other RFCs do:

    https://www.google.com/search?&q=%22tcp+session%22+site:ietf.org

The reason is because of comments received regarding which TCP
connection/session was being used.  The current text uses these different
terms in trying to be more clear (perhaps not).  As currently written, the
term "connection" only appears once, in a desperate attempt to put an end
to how many connections there are  ;)

You still think it should be changed?

Thanks,
Kent

On 1/5/15, 12:14 PM, "Juergen Schoenwaelder"
<[email-masked]> wrote:

>Hi,
>
>looking at draft-ietf-netconf-call-home-02.txt section 2.1, I see this:
>
>   o  The TCP connection is accepted and a TCP session is established.
>
>Similar in 3.1, I see this:
>
>   o  The NETCONF/RESTCONF client accepts an incoming TCP connection and
>      a TCP session is established.
>
>I am not sure what this "TCP session" is - I think RFC 793 never talks
>about a session. Why can we not simply talk about the TCP connection,
>thereby eliminating this TCP session term / step?
>
>/js
>
>-- 
>Juergen Schoenwaelder           Jacobs University Bremen gGmbH
>Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
>Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
>
>_______________________________________________
>Netconf mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/netconf

------------------------------

Subject: Digest Footer

_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf

------------------------------

End of Netconf Digest, Vol 83, Issue 8
**************************************

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail (and any attachment transmitted herewith) is privileged and confidential and is intended for the exclusive use of the addressee(s).  If you are not an intended recipient, any disclosure, reproduction, distribution or other dissemination or use of the information contained is strictly prohibited.  If you have received this mail in error, please delete it and notify us immediately.
--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail (and any attachment transmitted herewith) is privileged and confidential and is intended for the exclusive use of the addressee(s).  If you are not an intended recipient, any disclosure, reproduction, distribution or other dissemination or use of the information contained is strictly prohibited.  If you have received this mail in error, please delete it and notify us immediately.